Open MPI logo

Hardware Locality Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Hardware Locality Development mailing list

Subject: Re: [hwloc-devel] GIT: hwloc branch master updated. 0e6fe307c10d47efee3fb95c50aee9c0f01bc8ec
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2014-04-07 18:09:09


How about this:

diff --git a/config/distscript.sh b/config/distscript.sh
index d7bdfa4..9f05a2f 100755
--- a/config/distscript.sh
+++ b/config/distscript.sh
@@ -69,7 +69,7 @@ fi
 # Trivial helper function
 doit() {
     echo $*
- $*
+ eval $*
 }
 
 echo "*** Copying doxygen-doc tree to dist..."
@@ -77,7 +77,26 @@ echo "*** Directory: srcdir: $srcdir, distdir: $distdir, pwd:
 doit mkdir -p $distdir/doc/doxygen-doc
 doit chmod -R a=rwx $distdir/doc/doxygen-doc
 doit rm -rf $distdir/doc/doxygen-doc
-doit cp -rpf $srcdir/doc/doxygen-doc $distdir/doc
+
+# We want to copy the entire directory tree to the distdir. In some
+# cases, doxygen-doc may be a sym link, so we want the copy to follow
+# the sym links. It's a bit of a portability nightmare, so try a few
+# different ways...
+# This seems to work on OS X and Linux (but not Solaris)
+doit "tar c -C $srcdir -h -f - doc/doxygen-doc | tar x -C $distdir -f -"
+if test ! -d $distdir/doc/doxygen-doc; then
+ # This seems to work on Linux and Solaris
+ doit cp -rpf $srcdir/doc/doxygen-doc/ $distdir/doc
+fi
+if test ! -d $distdir/doc/doxygen-doc; then
+ # This seems to work on OS X (probably redundant, but we know it works)
+ doit cp -rpf $srcdir/doc/doxygen-doc $distdir/doc
+fi
+# If we still failed, just error out
+if test ! -d $distdir/doc/doxygen-doc; then
+ echo "ERROR: Cannot seem to copy a directory to the distdir :-("
+ exit 1
+fi
 
 echo "*** Copying new README"
 ls -lf $distdir/README

On Apr 7, 2014, at 6:04 PM, Brice Goglin <Brice.Goglin_at_[hidden]>
 wrote:

> My jenkins does make distcheck on some Linux and only make check on
> others, so it should be fine on my side.
>
> Brice
>
>
>
>
> Le 08/04/2014 00:01, Jeff Squyres (jsquyres) a écrit :
>> Do we care about "make dist" on Solaris?
>>
>>
>> On Apr 7, 2014, at 5:57 PM, Brice Goglin <Brice.Goglin_at_[hidden]> wrote:
>>
>>> Same error.
>>> Brice
>>>
>>>
>>>
>>> Le 07/04/2014 23:43, Jeff Squyres (jsquyres) a écrit :
>>>> How about:
>>>>
>>>> tar c -C /home/ci/hwloc-gitclone -h -f - doc/doxygen-doc | tar x -C /home/ci/hwloc-gitclone/build/hwloc-gitclone -f -
>>>>
>>>>
>>>>
>>>> On Apr 7, 2014, at 5:36 PM, Brice Goglin <Brice.Goglin_at_[hidden]>
>>>> wrote:
>>>>
>>>>> Works on my Linux but fails on Solaris:
>>>>> tar -c -C /home/ci/hwloc-gitclone -h -f - doc/doxygen-doc | tar -x -C
>>>>> /home/ci/hwloc-gitclone/build/hwloc-gitclone -f -
>>>>> tar: /dev/rmt/0: No such file or directory
>>>>>
>>>>>
>>>>>
>>>>> Le 07/04/2014 23:29, Jeff Squyres (jsquyres) a écrit :
>>>>>> --- a/config/distscript.sh
>>>>>> +++ b/config/distscript.sh
>>>>>> @@ -69,7 +69,7 @@ fi
>>>>>> # Trivial helper function
>>>>>> doit() {
>>>>>> echo $*
>>>>>> - $*
>>>>>> + eval $*
>>>>>> }
>>>>>>
>>>>>> echo "*** Copying doxygen-doc tree to dist..."
>>>>>> @@ -77,7 +77,7 @@ echo "*** Directory: srcdir: $srcdir, distdir: $distdir, pwd:
>>>>>> doit mkdir -p $distdir/doc/doxygen-doc
>>>>>> doit chmod -R a=rwx $distdir/doc/doxygen-doc
>>>>>> doit rm -rf $distdir/doc/doxygen-doc
>>>>>> -doit cp -rpf $srcdir/doc/doxygen-doc $distdir/doc
>>>>>> +doit "tar -c -C $srcdir -h -f - doc/doxygen-doc | tar -x -C $distdir -f -"
>>>>>>
>>>>>> echo "*** Copying new README"
>>>>>> ls -lf $distdir/README
>>>>> _______________________________________________
>>>>> hwloc-devel mailing list
>>>>> hwloc-devel_at_[hidden]
>>>>> http://www.open-mpi.org/mailman/listinfo.cgi/hwloc-devel
>>> _______________________________________________
>>> hwloc-devel mailing list
>>> hwloc-devel_at_[hidden]
>>> http://www.open-mpi.org/mailman/listinfo.cgi/hwloc-devel
>>
>
> _______________________________________________
> hwloc-devel mailing list
> hwloc-devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/hwloc-devel

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/